Update a data point choice
curl --request PATCH \
--url https://{region}.affinda.com/v3/data_point_choices/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataPoint": "XprEvgai",
"organization": "mEFayXdO",
"collection": "mEFayXdO",
"label": "USD",
"value": "USD",
"synonyms": [
"<string>"
],
"description": "<string>"
}
'import requests
url = "https://{region}.affinda.com/v3/data_point_choices/{id}"
payload = {
"dataPoint": "XprEvgai",
"organization": "mEFayXdO",
"collection": "mEFayXdO",
"label": "USD",
"value": "USD",
"synonyms": ["<string>"],
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataPoint: 'XprEvgai',
organization: 'mEFayXdO',
collection: 'mEFayXdO',
label: 'USD',
value: 'USD',
synonyms: ['<string>'],
description: '<string>'
})
};
fetch('https://{region}.affinda.com/v3/data_point_choices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 1,
"label": "USD",
"value": "USD",
"synonyms": [
"<string>"
],
"description": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Deprecated End Points
Update a data point choice
deprecated
Update data of a data point choice.
PATCH
/
v3
/
data_point_choices
/
{id}
Update a data point choice
curl --request PATCH \
--url https://{region}.affinda.com/v3/data_point_choices/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataPoint": "XprEvgai",
"organization": "mEFayXdO",
"collection": "mEFayXdO",
"label": "USD",
"value": "USD",
"synonyms": [
"<string>"
],
"description": "<string>"
}
'import requests
url = "https://{region}.affinda.com/v3/data_point_choices/{id}"
payload = {
"dataPoint": "XprEvgai",
"organization": "mEFayXdO",
"collection": "mEFayXdO",
"label": "USD",
"value": "USD",
"synonyms": ["<string>"],
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataPoint: 'XprEvgai',
organization: 'mEFayXdO',
collection: 'mEFayXdO',
label: 'USD',
value: 'USD',
synonyms: ['<string>'],
description: '<string>'
})
};
fetch('https://{region}.affinda.com/v3/data_point_choices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 1,
"label": "USD",
"value": "USD",
"synonyms": [
"<string>"
],
"description": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Data point choice's ID
Required range:
x >= 1Example:
1
Body
application/json
Data point choice to update
Uniquely identify a data point.
Example:
"XprEvgai"
Uniquely identify an organization.
Example:
"mEFayXdO"
Uniquely identify a collection.
Example:
"mEFayXdO"
Example:
"USD"
Example:
"USD"
Was this page helpful?
⌘I